Archive for Java

NetBeans mobile device emulator fails on x64 Linux system

The mobile device emulator fails to start with this error:

java.lang.UnsatisfiedLinkError: /home/myuser/WTK2.5.1/bin/sublime.so: /home/myuser/WTK2.5.1/bin/sublime.so: wrong ELF class: ELFCLASS32 (Possible cause: architecture word width mismatch)

My config: Ubuntu Karmic x64, OpenJDK-6 x64, NetBeans-6.8

The solution in my case is to change the vm used by the emulator:

Install the 32 bits java vm:

$ sudo apt-get install ia32-sun-java6-bin

Then edit netbeans_home/mobility8/WTK2.5.2/bin/emulator and set

javapathtowtk=/usr/lib/jvm/ia32-java-6-sun/bin/

with the trailing slash!

Now it works.

Advertisements

Comments (4)